Download it now!
Bug 81102 - FILEOPEN: DOC "different odd & even pages" header/footer setting lost if even page header/footer are blank
Summary: FILEOPEN: DOC "different odd & even pages" header/footer setting lost if even...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Luke Deller
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-09 12:34 UTC by Luke Deller
Modified: 2014-08-21 14:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample: blankeven.doc (22.00 KB, application/msword)
2014-07-09 12:35 UTC, Luke Deller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Deller 2014-07-09 12:34:12 UTC
If a DOC file has "Different odd & even pages" enabled for headers/footers, but the even page header and footer are blank (not present), then the setting is lost and LO shows the odd page header/footer on every page.

Steps to reproduce:
(1) open attached sample document "blankeven.doc"
(2) see that the second page has a header (in Word it does not)
Comment 1 Luke Deller 2014-07-09 12:35:35 UTC
Created attachment 102484 [details]
sample: blankeven.doc
Comment 2 Commit Notification 2014-07-13 19:51:42 UTC
Luke Deller committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5bb15013617c6b9f1cdd089acae0bfb7104fa3a

fdo#81102: fix .doc import of blank even page header



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-08-19 15:58:21 UTC
Luke Deller committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e7a33658983b6863d3847daca0265e43fbe18ba&h=libreoffice-4-3

fdo#81102: fix .doc import of blank even page header


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.